### Method

# Gtk Widget size_allocate

#### Declaration [src]

    void
    gtk_widget_size_allocate (
      GtkWidget* widget,
      const GtkAllocation* allocation,
      int baseline
    )

#### Description [src]

Allocates widget with a transformation that translates the origin to the position in `allocation`.

This is a simple form of gtk_widget_allocate().

#### Parameters

`allocation` | `GtkAllocation`
| Position and size to be allocated to `widget`.
| The data is owned by the caller of the function.
`baseline` | `int`
| The baseline of the child, or -1.